驗證
所有 v2 端點都需要標頭 X-API-Key. 鑰匙將在提出申請後透過電子郵件傳送。
X-API-Key: lbc_v2_your_key_here
API金鑰絕不會以明文形式儲存。請像對待密碼一樣對待它們。
終點
| 方法 | 小路 | 描述 |
|---|---|---|
| GET | /api/v2/brand-check | 品牌名稱核查(EUIPO + ZEFIX + 網域) |
| GET | /api/v2/jurisdiction/:code | 各司法管轄區的備案要求(瑞士、德國、歐盟、奧地利、美國) |
| GET | /api/v2/quotas | 此金鑰的當前配額和使用情況 |
| POST | /api/v2/trademark/search | 按管轄區和尼斯分類進行商標檢索 |
程式碼範例
curl
curl -X GET "https://legalbrandcheck.com/api/v2/brand-check?name=Acme&jurisdiction=CH" \ -H "X-API-Key: lbc_v2_your_key_here"
Node.js
const response = await fetch(
'https://legalbrandcheck.com/api/v2/brand-check?name=Acme&jurisdiction=CH',
{ headers: { 'X-API-Key': 'lbc_v2_your_key_here' } }
);
const data = await response.json();
console.log(data.verdict, data.score);Python
import requests
resp = requests.get(
"https://legalbrandcheck.com/api/v2/brand-check",
params={"name": "Acme", "jurisdiction": "CH"},
headers={"X-API-Key": "lbc_v2_your_key_here"},
)
data = resp.json()
print(data["verdict"], data["score"])商標檢索(POST)
curl -X POST "https://legalbrandcheck.com/api/v2/trademark/search" \
-H "X-API-Key: lbc_v2_your_key_here" \
-H "Content-Type: application/json" \
-d '{
"name": "Acme",
"jurisdictions": ["CH", "DE", "EU"],
"niceClasses": [9, 42]
}'回答範例
{
"id": "uuid-...",
"name": "Acme",
"score": 72,
"verdict": "caution",
"conflicts": [
{
"name": "ACME CORP",
"jurisdiction": "EU",
"niceClasses": [9],
"source": "euipo"
}
],
"legalRequirements": { "jurisdictions": ["CH"] },
"checkedAt": "2026-06-29T10:00:00.000Z",
"source": "fallback",
"degraded": true
}定價
API 存取需透過企業版套餐實現。基本費用和包含的請求量已列於定價頁面;更大額度的請求沒有標價,請聯絡我們以取得報價。
準備好開始了嗎?
請透過表格提交您的申請。您將立即收到一封包含參考編號的自動確認郵件;報價和鑰匙隨後將透過電子郵件傳送給您。
請求 API 訪問